cURL
curl --request GET \
--url https://api.teamfollowup.ai/api/v2/projects/{id}/campaigns/{campaignId}/validate \
--header 'Authorization: Bearer YOUR_API_KEY'import requests
url = "https://api.teamfollowup.ai/api/v2/projects/{id}/campaigns/{campaignId}/validate"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.teamfollowup.ai/api/v2/projects/{id}/campaigns/{campaignId}/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"ok": false,
"system": "appointment_booking",
"agentName": "Front Desk Agent",
"missing": {
"postCallFields": [
{
"name": "appointment_booked",
"type": "boolean"
}
],
"promptVars": [
"availability"
]
},
"present": {
"postCallFields": [
"call_summary",
"callback"
],
"promptVars": [
"first_name",
"phone"
]
},
"extra": {
"postCallFields": [
{
"name": "custom_note",
"type": "string"
}
]
},
"metadataVars": [
"contact_id",
"location_id"
]
}
}{
"success": false,
"error": "VALIDATION",
"message": "businessName is required."
}{
"success": false,
"error": "Unauthorized",
"message": "Authentication required."
}{
"success": false,
"error": "Forbidden",
"message": "You do not have permission to access this resource."
}{
"success": false,
"message": "Project not found."
}{
"success": false,
"error": "TooManyRequests",
"message": "Too many requests, please try again later."
}{
"success": false,
"error": "InternalError",
"message": "Unexpected server error."
}Validate project campaign agent
Validate whether the campaign agent has the fields and variables expected by its selected campaign system. Customer role: agency_admin.
Required API key scope: projects:read.
GET
/
api
/
v2
/
projects
/
{id}
/
campaigns
/
{campaignId}
/
validate
cURL
Authorizations
Send your API key as Authorization: Bearer YOUR_API_KEY.
Path Parameters
Project id.
Minimum string length:
1Campaign id.
Minimum string length:
1⌘I
